curl --request GET \
--url https://affilate.adscrush.com/api/v1/order/leads \
--header 'API_KEY: <api-key>' \
--header 'Authorization: Bearer <token>'import requests
url = "https://affilate.adscrush.com/api/v1/order/leads"
headers = {
"API_KEY": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {API_KEY: '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://affilate.adscrush.com/api/v1/order/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"phone": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"campaignId": "<string>",
"userId": "<string>",
"ip": "<string>",
"address": "<string>",
"state": "<string>",
"region": "<string>",
"country": "<string>",
"status": "OnHold"
}
]{
"success": false,
"error": "validation",
"message": "Invalid input data"
}{
"success": false,
"error": "unauthorized",
"message": "Authentication failed"
}{
"success": false,
"error": "error",
"message": "An unexpected error occurred"
}Get Leads
Authorizations
Your API key. Include this key in the API_KEY header when making requests to endpoints that require authentication. You can find your API key in the 'Profile' tab on the website.
Your Bearer Token. Include this token in the 'Authorization' header as Bearer <your_token> when making requests to endpoints that require user authentication. You can view and manage your Bearer Token in the 'Profile' tab on the website.
Response
Successful response
The unique identifier for the lead.
The name of the lead.
The phone number of the lead.
The timestamp indicating when the lead was created.
The timestamp indicating when the lead was last updated.
The identifier of the campaign associated with the lead.
The identifier of the user associated with the lead.
The IP address associated with the lead.
The address of the lead.
The state associated with the lead.
The region associated with the lead.
The country associated with the lead.
The status of the lead (e.g., OnHold, InProgress).
OnHold, Trashed, Paid, Approved Was this page helpful?
